import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchCountOutputTypeCountItemsArgsObjectSchema as CommissionBatchCountOutputTypeCountItemsArgsObjectSchema } from './CommissionBatchCountOutputTypeCountItemsArgs.schema'

const makeSchema = () => z.object({
  items: z.union([z.boolean(), z.lazy(() => CommissionBatchCountOutputTypeCountItemsArgsObjectSchema)]).optional()
}).strict();
export const CommissionBatchCountOutputTypeSelectObjectSchema: z.ZodType<Prisma.CommissionBatchCountOutputTypeSelect> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchCountOutputTypeSelect>;
export const CommissionBatchCountOutputTypeSelectObjectZodSchema = makeSchema();
